#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: killbots
Summary: KDE port of the classic BSD console game robots
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/killbots/
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: killbots-handbook

%description
Killbots is a simple game of evading killer robots.

Who created the robots and why they have been programmed to destroy, no one
knows. All that is known is that the robots are numerous and their sole
objective is to destroy you. Fortunately for you, their creator has focused on
quantity rather than quality and as a result the robots are severely lacking in
intelligence. Your superior wit and a fancy teleportation device are your only
weapons against the never-ending stream of mindless automatons.

%files
%_kde_bindir/killbots
%_kde_applicationsdir/killbots.desktop
%_kde_appsdir/killbots
%_kde_datadir/config.kcfg/killbots.kcfg
%_kde_iconsdir/hicolor/*/apps/killbots.*

#------------------------------------------------------------------------------

%package -n killbots-handbook
Summary: killbots handbook
Conflicts: killbots < 1:4.7.1-2
Requires:  killbots >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n killbots-handbook
This package provides the killbots handbook.

%files -n killbots-handbook
%_kde_docdir/HTML/en/killbots

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641310
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555000
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551268
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540177
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490754
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476844
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465192
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458918
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455304
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447957
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435316
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428428
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407239
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401887
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394410
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339495
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334571
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326773
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319318
- imported package killbots

